function FOURIER = parse_FOURIER(FOURIER_fpath)
[~, fname, ~] = fileparts(FOURIER_fpath);
FOURIER.filetime = datenum(fname, 'yyyymmddHHMM');

%% Read the data
fid = fopen(FOURIER_fpath);
while true
    tline = fgetl(fid);
    % We shouldn't get to the end before we encounter the "COLUMN 5" line
    assert(~isempty(tline));
    if length(tline) > 21 && strcmp(tline(1:21), 'NUMBER OF FREQUENCIES')
        num_freq = sscanf(tline, 'NUMBER OF FREQUENCIES = %d');
    end
    if length(tline) > 17 && strcmp(tline(1:17), 'INITIAL FREQUENCY')
        init_freq = sscanf(tline, 'INITIAL FREQUENCY (Hz) = %f');
    end
    if length(tline) > 17 && strcmp(tline(1:17), 'FREQUENCY SPACING')
        freq_spacing = sscanf(tline, 'FREQUENCY SPACING (Hz) = %f');
    end
    if length(tline) > 26 && strcmp(tline(1:26), 'RESOLVABLE FREQUENCY RANGE')
        FOURIER.res_freq_range = sscanf(tline, 'RESOLVABLE FREQUENCY RANGE (Hz) = %f TO %f');
    end
    if length(tline) > 8 && strcmp(tline(1:8), 'COLUMN 5')
        % Next line is the data
        break
    end
end

data = textscan(fid, '%f %f %f %f %f');
fclose(fid);

FOURIER.frequencies = data{1};
FOURIER.a1 = data{2};
FOURIER.b1 = data{3};
FOURIER.a2 = data{4};
FOURIER.b2 = data{5};

