function NONDIRSPEC = parse_NONDIRSPEC(NONDIRSPEC_fpath)
[~, fname, ~] = fileparts(NONDIRSPEC_fpath);
NONDIRSPEC.filetime = datenum(fname, 'yyyymmddHHMM');

%% Read the data
fid = fopen(NONDIRSPEC_fpath);
while true
    tline = fgetl(fid);
    % We shouldn't get to the end before we encounter the "COLUMN 2" line
    assert(~isempty(tline));
    if length(tline) > 8 && strcmp(tline(1:8), 'COLUMN 2')
        % Next line is the data
        break
    end
end

data = textscan(fid, '%f %f');
fclose(fid);

NONDIRSPEC.frequencies = data{1};
NONDIRSPEC.spectral_density = data{2};

